# acme-web

![ACME Web](https://cds.geant.org/images/acme_web.jpg "ACME Web")

## Table of contents

1. [Preamble](#preamble)
2. [Compiling the program](#compiling-the-program)
3. [Setting up systemd](#setting-up-systemd)

## Preamble

This application is a Web server which does the followings:

* scavenges and parses the certificates issued by ACME and creates a JSON object
* renders an HTML table taking the JSON object as input
* serves a JSON object like a rest API
* serves HTML pages

## Compiling the program

You can install GO and copy/paste the followings:

```shell
git checkout main
git pull
LATEST_TAG=$(git describe --tags $(git rev-list --tags --max-count=1))
PROG_VERSION=${LATEST_TAG:1}
BUILD_TIME=$(date -u '+%Y-%m-%d_%H:%M:%S')
git checkout $LATEST_TAG
GOARCH=amd64 GOOS=linux go build -ldflags "-s -w -X main.appVersion=${PROG_VERSION} -X main.buildTime=${BUILDTIME}" -o acme-web
```

## Setting up systemd

Check [acme-web.service](https://gitlab.geant.org/geant-devops/acme-web/-/blob/main/acme-web.service) in this repository
